Auto Models
=====================

AutoTCN
-------------------------------------------

AutoTCN is a TCN forecasting model with Auto tuning.


.. tabs::

    .. tab:: PyTorch/Tensorflow

        .. automodule:: bigdl.chronos.autots.model.auto_tcn
            :members:
            :undoc-members:
            :show-inheritance:
            :inherited-members:


AutoLSTM
----------------------------------------

AutoLSTM is an LSTM forecasting model with Auto tuning.


.. tabs::

    .. tab:: PyTorch/Tensorflow

        .. automodule:: bigdl.chronos.autots.model.auto_lstm
            :members:
            :undoc-members:
            :show-inheritance:
            :inherited-members:


AutoSeq2Seq
----------------------------------------

AutoSeq2Seq is an Seq2Seq forecasting model with Auto tuning.


.. tabs::

    .. tab:: PyTorch/Tensorflow

        .. automodule:: bigdl.chronos.autots.model.auto_seq2seq
            :members:
            :undoc-members:
            :show-inheritance:
            :inherited-members:


AutoARIMA
----------------------------------------

AutoARIMA is an ARIMA forecasting model with Auto tuning.

.. automodule:: bigdl.chronos.autots.model.auto_arima
    :members:
    :undoc-members:
    :show-inheritance:
    :inherited-members:


AutoProphet
----------------------------------------

AutoProphet is a Prophet forecasting model with Auto tuning.

.. automodule:: bigdl.chronos.autots.model.auto_prophet
    :members:
    :undoc-members:
    :show-inheritance:
    :inherited-members:
